package p.studio.compiler.source.tables;

import p.studio.compiler.source.identifiers.SourceIdentifier;

import java.util.Optional;

public interface InternTableReader<IDENTIFIER extends SourceIdentifier, VALUE> extends DenseTableReader<IDENTIFIER, VALUE> {
    Optional<IDENTIFIER> optional(VALUE value);
    boolean containsKey(VALUE value);
}
